## org.apache.poi.poifs.property
Class DirectoryProperty.PropertyComparator

    java.lang.Object
      org.apache.poi.poifs.property.DirectoryProperty.PropertyComparator

All Implemented Interfaces:
  java.util.Comparator<Property>

Enclosing class:
  DirectoryProperty

    public static class DirectoryProperty.PropertyComparator

extends java.lang.Object
implements java.util.Comparator<Property>

Constructor Summary
`DirectoryProperty.PropertyComparator()`

Method Summary
`int` `compare(Property o1, Property o2)` compare method.
`boolean` `equals(java.lang.Object o)` Object equality, implemented as object identity

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryProperty.PropertyComparator

    public DirectoryProperty.PropertyComparator()

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Object equality, implemented as object identity

  Specified by:
    `equals` in interface `java.util.Comparator<Property>`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object we're being compared to
  Returns:
    true if identical, else false

### compare

    public int compare(Property o1,
                       Property o2)

  compare method. Assumes both parameters are non-null instances of Property. One property is less than another if its name is shorter than the other property's name. If the names are the same length, the property whose name comes before the other property's name, alphabetically, is less than the other property.

  Specified by:
    `compare` in interface `java.util.Comparator<Property>`
  Parameters:
    `o1` - first object to compare, better be a Property
    `o2` - second object to compare, better be a Property
  Returns:
    negative value if o1 < o2, zero if o1 == o2, positive value if o1 > o2.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.